import { StackedSplineSeries } from "./StackedSplineSeries";
import { IStacked100Series } from "./IStacked100Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core";
import { StackedSplineSeriesView } from "./StackedSplineSeriesView";
/**
 * @hidden
 */
export declare class Stacked100SplineSeries extends StackedSplineSeries implements IStacked100Series {
    static $t: Type;
    protected cs(): SeriesView;
    ab4: Stacked100SplineSeriesView;
    qz(a: SeriesView): void;
    protected get_aa2(): boolean;
    constructor();
    ac(): void;
    protected abj(): void;
    aa8(a: number, b: number): number;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100SplineSeriesView extends StackedSplineSeriesView {
    static $t: Type;
    constructor(a: Stacked100SplineSeries);
    au(): void;
}
